'use strict'

var test        = require('./test')
  , matching    = require('../').matching
  , isLowerCase = function (character) {
        return character.toLowerCase() === character
    }
  , lowerCase   = matching(isLowerCase)
  , expected    = 'a symbol matching the predicate ' + isLowerCase.toString()

test.expects(lowerCase, expected)
test.fails(lowerCase, 'A', expected)
test.fails(lowerCase, 'B', expected)
test.fails(lowerCase, 'Ä', expected)
test.succeeds(lowerCase, 'a', 'a', '')
test.succeeds(lowerCase, 'b', 'b', '')
test.succeeds(lowerCase, 'ä', 'ä', '')
