'use strict'

var test        = require('./test')
  , oneOf       = require('../').oneOf
  , aOrB        = oneOf('ab')
  , expected    = 'one of "ab"'

test.expects(aOrB, expected)
test.fails(aOrB, '', expected)
test.fails(aOrB, 'c', expected)
test.succeeds(aOrB, 'a', 'a', '')
test.succeeds(aOrB, 'b', 'b', '')
test.succeeds(aOrB, 'ba', 'b', 'a')
test.succeeds(aOrB, 'ab', 'a', 'b')
