'use strict'

var test        = require('./test')
  , symbols     = require('../').symbols
  , ab          = symbols('ab')
  , expected    = 'the symbols "ab"'

test.expects(ab, expected)
test.fails(ab, '', expected)
test.fails(ab, 'a', expected)
test.fails(ab, 'b', expected)
test.fails(ab, 'ba', expected)
test.succeeds(ab, 'ab', 'ab', '')
test.succeeds(ab, 'abc', 'ab', 'c')
